Bug 201182 - lang/python27 needs aarch64 handler
Summary: lang/python27 needs aarch64 handler
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Some People
Assignee: Sean Bruno
URL: https://reviews.freebsd.org/D2948
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2015-06-28 20:07 UTC by Sean Bruno
Modified: 2015-06-30 15:45 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2015-06-28 20:07:12 UTC
Needs minor port Makefile update to build for AARCH64:

Index: /usr/local/poudriere/ports/default/lang/python27/Makefile
===================================================================
--- /usr/local/poudriere/ports/default/lang/python27/Makefile   (revision 390646)
+++ /usr/local/poudriere/ports/default/lang/python27/Makefile   (working copy)
@@ -83,7 +83,7 @@
 PLIST_SUB+=    X86_ONLY="@comment "
 .endif
 
-.if ${ARCH} == amd64 || ${ARCH} == ia64 || ${ARCH} == sparc64 || ${ARCH} == powerpc64 || ${ARCH} == mips64
+.if ${ARCH} == amd64 || ${ARCH} == ia64 || ${ARCH} == sparc64 || ${ARCH} == powerpc64 || ${ARCH} == mips64 || ${ARCH} == aarch64
 PLIST_SUB+=    32BIT_ONLY="@comment "
 .else
 PLIST_SUB+=    32BIT_ONLY=""
root@tasty.ysv:/home/sbruno/qem
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-29 02:02:49 UTC
Hi Sean, please add a changeset to phabricator for review, adding python@ to reviewers and adding the URL to the review here
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-29 02:03:29 UTC
Reporter is committer, assign accordingly pending review by python@
Comment 3 Sean Bruno freebsd_committer 2015-06-29 15:52:58 UTC
(In reply to Kubilay Kocak from comment #2)
sure.  Sorting out how to get phabricator/arc to work.
Comment 4 Philip M. Gollucci freebsd_committer 2015-06-30 01:06:26 UTC
I'm super curious why we review this in phab and not directly in the bz ticket.

We're basically saying if we ever move tools we must move both simultaneously and combine info.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-30 05:55:19 UTC
(In reply to Philip M. Gollucci from comment #4)

My feelings when I asked Sean to create a review were:

* I could only review the change syntactically, so opening it up to broader review was good for semantic review
* Phab reviews are likely to get more visibility, thus progress quicker if it goes to python@ for review
* (Documented) Code Review is a good habit to get into
* Sean could commit it directly (encourages cross-repo fetilization) with approval, thus less gating/blocking then assigning it to an individual and waiting for them to commit it.

TL:DR, Quicker outcome, less blocking.
Comment 6 commit-hook freebsd_committer 2015-06-30 15:44:08 UTC
A commit references this bug:

Author: sbruno
Date: Tue Jun 30 15:44:06 UTC 2015
New revision: 390967
URL: https://svnweb.freebsd.org/changeset/ports/390967

Log:
  Add AARCH64 to the list of 64bit targets that require PLIST handling

  PR:	201182
  Differential Revision:	https://reviews.freebsd.org/D2948
  Reviewed by:	koobs lwhsu emaste

Changes:
  head/lang/python27/Makefile